org.jbpm.executor.impl.event

## Class ExecutorEventSupportImpl

- java.lang.Object
- - org.drools.core.event.AbstractEventSupport<AsynchronousJobListener>
  - - org.jbpm.executor.impl.event.ExecutorEventSupportImpl

- All Implemented Interfaces:
    Externalizable, Serializable, ExecutorEventSupport

      public class ExecutorEventSupportImpl
      extends org.drools.core.event.AbstractEventSupport<AsynchronousJobListener>
      implements ExecutorEventSupport

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorEventSupportImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireAfterJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`

    - ### Methods inherited from class org.drools.core.event.AbstractEventSupport

      `addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, notifyAllListeners, readExternal, removeEventListener, removeEventListener, size, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.executor.impl.event.ExecutorEventSupport

      `addEventListener, clear, getEventListeners, isEmpty, notifyAllListeners, removeEventListener, removeEventListener, size`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### ExecutorEventSupportImpl

          public ExecutorEventSupportImpl()

  - ### Method Detail

    - #### fireBeforeJobScheduled

          public void fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job,
                                             Throwable exception)

      Specified by:
        `fireBeforeJobScheduled` in interface `ExecutorEventSupport`

    - #### fireBeforeJobExecuted

          public void fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

      Specified by:
        `fireBeforeJobExecuted` in interface `ExecutorEventSupport`

    - #### fireBeforeJobCancelled

          public void fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job,
                                             Throwable exception)

      Specified by:
        `fireBeforeJobCancelled` in interface `ExecutorEventSupport`

    - #### fireAfterJobScheduled

          public void fireAfterJobScheduled(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

      Specified by:
        `fireAfterJobScheduled` in interface `ExecutorEventSupport`

    - #### fireAfterJobExecuted

          public void fireAfterJobExecuted(org.kie.api.executor.RequestInfo job,
                                           Throwable exception)

      Specified by:
        `fireAfterJobExecuted` in interface `ExecutorEventSupport`

    - #### fireAfterJobCancelled

          public void fireAfterJobCancelled(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

      Specified by:
        `fireAfterJobCancelled` in interface `ExecutorEventSupport`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.